MagickCore: utility.h File Reference

# utility.h File Reference

Go to the source code of this file.

## Enumerations
enum | PathType { UndefinedPath, MagickPath, RootPath, HeadPath, TailPath, BasePath, ExtensionPath, SubimagePath, CanonicalPath }
## Functions
MagickExport char * | Base64Encode (const unsigned char *, const size_t, size_t *)
MagickExport char *** | GetPathComponents (const char *, unsigned long *)
MagickExport char ***** | ListFiles (const char *, const char *, unsigned long *)
MagickExport FILE * | MagickOpenStream (const char *, const char *)
MagickExport int | SystemCommand (const MagickBooleanType, const char *)
MagickExport MagickBooleanType | AcquireUniqueFilename (char *)
MagickExport MagickBooleanType | AcquireUniqueSymbolicLink (const char *, char *)
MagickExport MagickBooleanType | ExpandFilenames (int *, char ***)
MagickExport MagickBooleanType | GetExecutionPath (char *, const size_t)
MagickExport MagickBooleanType | IsAccessible (const char *)
MagickExport MagickBooleanType | IsMagickTrue (const char *)
MagickExport unsigned char * | Base64Decode (const char *, size_t *)
MagickExport unsigned long | MultilineCensus (const char *)
MagickExport void | AppendImageFormat (const char *, char *)
MagickExport void | ChopPathComponents (char *, const unsigned long)
MagickExport void | ExpandFilename (char *)
MagickExport void | GetPathComponent (const char *, PathType, char *)

## Enumeration Type Documentation

enum PathType

Enumerator:

  UndefinedPath |
  MagickPath |
  RootPath |
  HeadPath |
  TailPath |
  BasePath |
  ExtensionPath |
  SubimagePath |
  CanonicalPath |

## Function Documentation

MagickExport MagickBooleanType AcquireUniqueFilename | ( | char * |  | ) |

MagickExport MagickBooleanType AcquireUniqueSymbolicLink | ( | const char * | ,
|  | char * |  |
| ) |  |  |

MagickExport void AppendImageFormat | ( | const char * | ,
|  | char * |  |
| ) |  |  |

MagickExport unsigned char* Base64Decode | ( | const char * | ,
|  | size_t * |  |
| ) |  |  |

MagickExport char* Base64Encode | ( | const unsigned char * | ,
|  | const | size_t,
|  | size_t * |  |
| ) |  |  |

MagickExport void ChopPathComponents | ( | char * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport void ExpandFilename | ( | char * |  | ) |

MagickExport MagickBooleanType ExpandFilenames | ( | int * | ,
|  | char *** |  |
| ) |  |  |

MagickExport MagickBooleanType GetExecutionPath | ( | char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void GetPathComponent | ( | const char * | ,
|  | PathType | ,
|  | char * |  |
| ) |  |  |

MagickExport char* ** GetPathComponents | ( | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

MagickExport MagickBooleanType IsAccessible | ( | const char * |  | ) |

MagickExport MagickBooleanType IsMagickTrue | ( | const char * |  | ) |

MagickExport char* ** ** ListFiles | ( | const char * | ,
|  | const char * | ,
|  | unsigned long * |  |
| ) |  |  |

MagickExport FILE* MagickOpenStream | ( | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport unsigned long MultilineCensus | ( | const char * |  | ) |

MagickExport int SystemCommand | ( | const | MagickBooleanType,
|  | const char * |  |
| ) |  |  |